Package Details: hdf4 2.11-1

Git Clone URL: https://aur.archlinux.org/hdf4.git (read-only)
Package Base: hdf4
Description: General purpose library and file format for storing scientific data.
Upstream URL: http://www.hdfgroup.org/hdf4.html
Licenses: custom
Conflicts: netcdf
Submitter: djscholl
Maintainer: djscholl
Last Packager: djscholl
Votes: 8
Popularity: 0.000555
First Submitted: 2006-09-25 12:30
Last Updated: 2015-07-06 20:02

Latest Comments

Polly commented on 2015-02-19 10:52

current version is 2.11. PKGBUILD update required

djscholl commented on 2014-02-23 23:29

New version from upstream; thanks to Arch user fhs. The README for this version says that there is no more dependence on lex/yacc-like tools. I tried it without flex/bison installed, and the build failed due to the absence of a yacc command. I don't understand this, but I kept flex and bison in the makedepends array so it would build.

djscholl commented on 2013-02-27 12:09

New version from upstream, thanks to Arch user epsilom.

djscholl commented on 2012-09-13 09:08

New version from upstream, thanks to Arch user pezz.

pezz commented on 2012-09-11 07:37

404 from the source tarball, seems to be this now:

http://www.hdfgroup.org/ftp/HDF/HDF_Current/src/hdf-4.2.8.tar.bz2

djscholl commented on 2012-04-25 23:42

Update for new upstream version, thanks to Arch user chneukirchen.

giniu commented on 2012-03-13 11:16

as far as I know, it is because hdf4 provides it's own version of netcdf, but not complete version (like only part of files). There is hdf4-nonetcdf in AUR which does not conflict with netcdf (it is version with internal netcdf disabled).

Anonymous comment on 2012-03-13 10:05

why does hdf4 confict with netcdf? on all my previous workstations it was no problem installing both hdf4 and netcdf4 in parallel. this seems like a showstopper at least to me ...

djscholl commented on 2012-03-09 10:41

Update for new minor version upstream. Thanks to Arch user nullas.

nullas commented on 2012-03-06 09:44

the sources is unavailable.

djscholl commented on 2011-07-20 09:58

Arch version bump to change libjpeg6 dependency to libjpeg-turbo, thanks to Arch user giniu.

giniu commented on 2011-07-19 07:16

Is the libjpeg6 still required? According to changelog for 4.2.6:

- The JPEG test failure due to the different versions of the JPEG library
had been fixed. HDF4 is expected to build and pass regression tests for
any version of the JPEG library available on the user's systems.
BMR - 2011/06/09

bunder commented on 2011-07-05 07:09

Please correct 'pkgver'. The right value for new package should be '2.4.6', not '2.6'.